## ros-lunar-leg-detector 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(leg_detector)

# look for bfl (Bayesian Filtering Library)
find_package(PkgConfig REQUIRED)
pkg_check_modules(BFL REQUIRED orocos-bfl)

include_directories(${BFL_INCLUDE_DIRS})
link_directories(${BFL_LIBRARY_DIRS})

# Look for Bullet
pkg_check_modules(BULLET bullet)
include_directories(${BULLET_INCLUDE_DIRS})

find_package(catkin REQUIRED COMPONENTS
    dynamic_reconfigure
    geometry_msgs
    image_geometry
    laser_geometry
    message_filters
    people_msgs
    people_tracking_filter
    roscpp
    sensor_msgs
    std_msgs
    std_srvs
    tf
    visualization_msgs
)

## dynamic reconfigure config
generate_dynamic_reconfigure_options(
  cfg/LegDetector.cfg
)

include_directories(
  include ${catkin_INCLUDE_DIRS}
)

catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS
        dynamic_reconfigure
        geometry_msgs
        message_filters
        people_msgs
        people_tracking_filter
        roscpp
        sensor_msgs
        std_msgs
        tf
        visualization_msgs
)

add_executable(leg_detector
               src/laser_processor.cpp
               src/leg_detector.cpp
               src/calc_leg_features.cpp)

add_dependencies(leg_detector ${${PROJECT_NAME}_EXPORTED_TARGETS})

target_link_libraries(leg_detector
   ${catkin_LIBRARIES} ${BFL_LIBRARIES} ${BULLET_LIBRARIES}
)

install(TARGETS leg_detector
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES config/trained_leg_detector.yaml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-lunar-leg-detector (1.1.2-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Aug 2018 18:10:48 -0000

ros-lunar-leg-detector (1.0.9-1stretch) stretch; urgency=high

  * Fix handling of scans with negative angle increment
    For laser sensors which are mounted upside down. Old code did not generate any clusters in that case.
  * Contributors: Timm Linder

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 01 Sep 2015 04:00:00 -0000

ros-lunar-leg-detector (1.0.8-1stretch) stretch; urgency=high

  * cleanup formatting with astyle (supersedes #18 <https://github.com/wg-perception/people/issues/18>)
  * Contributors: Dan Lazewatsky

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 10 Dec 2014 05:00:00 -0000

ros-lunar-leg-detector (1.0.4-1stretch) stretch; urgency=high

  * Merging leg_detector into people
  * Contributors: David Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Jul 2014 04:00:00 -0000

ros-lunar-leg-detector (1.0.3-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 01 Mar 2014 05:00:00 -0000

ros-lunar-leg-detector (1.0.2-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 28 Feb 2014 05:00:00 -0000

ros-lunar-leg-detector (1.0.1-1stretch) stretch; urgency=high

  * height_tracker --> people_experimental
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@40194 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * Added platform tags for Ubuntu 9.04, 9.10, and 10.04.
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@36945 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * Unblacklisting
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@33043 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * removed a number of dependencies
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@32910 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@32909 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * people: blacklisting packages due to deprecated deps
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@32439 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * leg detector from people_package --> leg_detector
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@32067 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * moved the filter into the filter package
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@31998 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * empty packages that will eventually hold the stuff in people_package
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@31910 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * Contributors: Brian Gerkey, Caroline Pantofaru, Ken Conley

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Feb 2014 05:00:00 -0000

=== debian/control ===
Source: ros-lunar-leg-detector
Section: misc
Priority: extra
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-bfl, ros-lunar-catkin, ros-lunar-dynamic-reconfigure, ros-lunar-geometry-msgs, ros-lunar-image-geometry, ros-lunar-laser-geometry, ros-lunar-message-filters, ros-lunar-people-msgs, ros-lunar-people-tracking-filter, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf, ros-lunar-visualization-msgs
Homepage: http://ros.org/wiki/leg_detector
Standards-Version: 3.9.2

Package: ros-lunar-leg-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-bfl, ros-lunar-dynamic-reconfigure, ros-lunar-geometry-msgs, ros-lunar-image-geometry, ros-lunar-laser-filters, ros-lunar-laser-geometry, ros-lunar-map-laser, ros-lunar-message-filters, ros-lunar-people-msgs, ros-lunar-people-tracking-filter, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf, ros-lunar-visualization-msgs
Description: Leg Detector using a machine learning approach to find leg-like patterns of laser scanner readings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-leg-detector//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
